# xs2jpg

export graphics to JPG

## Calling Sequence

                xs2jpg(win_num, file_name [, compression_quality])
                xs2jpg(fig, file_name [, compression_quality])

## Arguments

win_num

  an integer, ID of the figure to export.

fig

  handle of the figure to export.

file_name

  a string, name of the exported file.

compression_quality

  a real scalar, a number between 0 and 1 (best quality). The default compression quality is set to 0.95.

  Argument is available since Scilab 5.3.2.

## Description

`xs2jpg` exports the display of a graphic window into a JPG file.

## Examples

    scf(0);
    plot2d();
    //JPG export
    xs2jpg(0,'foo.jpg');
    xs2jpg(gcf(),'foo.jpg');
    xs2jpg(0,'foo_0.jpg', 0); // poor quality
    xs2jpg(gcf(),'foo_1.jpg', 1); // best quality

## See Also

- toprint
- printfigure
- xs2bmp
- xs2gif
- xs2png
- xs2ppm
- xs2eps
- xs2pdf
- xs2svg
- xs2ps
- xs2emf